Page: 1 2 ()
Picture of Joshua Moran

Cyberbullying

Visible to everyone.

Bullying is a big issue in America. Bullying is unnecessary and destroys lives. Psychologically kids/students who experience bullying are affected. Their percentage of being successful decreases and feel emotional distress (depression, anxiety, low self-esteem, and also decreases their academic achievement). Bullying does not only happen physically or verbally but it also happens through the World Wide Web. Many kids suffer from bullying and a lot of the people who do bully kids are doing it behind the scenes, where it seems like nothing can be done.

 

Over 3.2 million students are being bullied each year. One third of people that are being bullied admit that it also happens through the web (cyber). This becomes a huge effect on their education and their grades and performance drops drastically.

 

Technology is improving drastically. Each day we discover new ways to connect to the internet. Every second, thousands and thousands of gigabytes data is being used just on social media. And millions of people are sharing information with each other every second. The question is who is monitoring what goes on the cyber world? Is it even safe? The safest law and protection we have that we inforce is the Patriot Act which only protects the U.S. as a whole from any terrorism. In 2007-2014, 23% of students were victims in the period of 7 years. 83% percent of students say bullying has a negative impact on their self – esteem. The goal for the policy is to decrease the percentage of victims who are exposed to cyber bullying and also discipline those who abuse internet rights. To abuse rights is to offend another person or dehumanizing another. No one should be victims of bullying; it destroys lives and can ruin someone’s future. In order for victims of Cyber bullying to decrease, there must be some type supervision or a filter to things that are posted online so that no can be offended. Now offense can vary because some people can take things offensively when no harm was intended. Companies that make product or something that is used by the consumers are responsible for any danger or harm the product could bring to a human being. Social media companies make their websites or media very vulnerable to cyber bullying. Anything can be shared online and not many people will say or report the problem to an older person. Facebook happens to be one of the worst social media websites for bullying. Although Facebook is not responsible for the death or victims of cyberbullying, they do make it accessible and easy attempt and succeed. In this case Facebook and many other Social media companies should discipline those who abuse Internet rights and filter their websites. This would cost money for Social media companies in order to filter or hire extra people to over watch the internet. Now the funding for the Social media companies makes a great amount of money so it would not be an issue paying it off. Social Media Companies would be against this new policy. For them, this would require changing agreement policies hiring more people for coding and also to oversee and take of any issues of abuse if they do occur.

 

If this policy passed, victims to bullies will decrease dramatically. It would be a lot harder to bully someone online because if there are any dehumanizing, or abuse to website policy, then the post or citizen’s account would be suspended or charged. The internet would be a safer place for people to use, without any harm coming to them. This policy will not only impact the users of the internet but also the psychological health and well-being of people. The suicide percentage will decrease and their educational success will also increase. When bullied, our self-esteem decreases and we tend to do whatever to avoid it. A lot of the times bullying relates to school, they tend to skip school and therefore loose a big chunk of knowledge in their life. This policy will help the schools as well because if there is abuse coming from students at school, then that causes fear within, and would drive away students and their motivation to learn.

The big disadvantage to this policy is that it only looks at one side of a situation. Cyber/bullies don’t just do abusive and hurtful things for no reason. A big part of bullies’ lives happens from behind the scenes. Someone who catches a bully online and charges them for abuse might won’t know what they may be going through or understand where they come from. A bullies’ life can be just as hard as victim’s life. If they were to be charged or put in jail, there is no sympathy for them.

This policy does not strictly ask or enforce a specific method to decrease cyber bullying but for them to figure their own method to decrease bullying. In this way, social media companies could either hire people to supervise the website or create code that would automatically do filter.

 

Governments and positions such as president also provide support and have their attention to the Bullying. It brings up regards to as a parent to them, and concerns their safety.

 

Permalink
Picture of Kaylee McDonald

Time to help veterans

Visible to everyone.

           The policy is about helping the veterans and those who just got done with there tour, the facts say that about every 20 out of 100 veterans have ptsd, that 49,933 veterans are home less, when you see a homeless person they most likely have served for the county. Military people coming home after be deployed in horrible situation, it does take a toll on them physical  and mental, it is now our turn to help them because they sacrifice everyday and every minute while on duty. This program is about having meetings for them to talk about what happened, so that they can face the real world again, for those who do break for them to get help , so they can get back on there feet so they can function back in society with the rest of us, so they can do there part in our economy to keep us a float. This program will help with veterans who have issues to deal with them, so that they do not hurt others or themselves, because some vets gone off to go on killing spree and or killed them self because they could not handle what has happened and what was their part in it. Why citizen should care about this that, they fought his county to be free and they also continue to fight four our freedom and that they give their lives up for us and now it is our turn.

Permalink
Picture of Marilorraine Sampayan

Stronger Than Before

Visible to everyone.

I am introducing a support group for teens here at Todd Beamer High School. This is a support group for any teenager who is in need of help and encourage them to open up about their problems. For example when they are stressed about issues in their own home, or at school, cyber bullied or peer pressured. This group would offer the teens a community of friends to talk to. The group would be divided amongst grade levels, this is because of the difference in maturity levels and difference of issues they may be experiencing. In the group we only talk about things where teens feel comfortable of sharing. Also there will be rules that would be arranged in the group for everyone to be able to open up and trust one another. In the end of the group we will share our goals that have been accomplished or hope to accomplish after the group is over.

 

I have researched that in America 30 percent of teens reported feeling sad or depressed because of stress and 31 percent felt overwhelmed. I was once stressed and still am today. But I've found ways to better myself. I would like to take action and start a support group for teens who are stressed. Ways to get the news out is to have it announced on the intercom or have multiple copies of flyers posted on the wall to get the word out. When getting together as a group the best time to have it would be during lunch because having the group during class time will be an issue. Students wouldn't be forced to join the group, this group is open to everyone . It would take time for teens to open up.

 

To start the group off, for the group to be able to trust one another. Have a rule to stick to and have confidential to what's said in the group. Having a rule is important to have when associating about problems to other people you don't know or you've just met. A rule that I've came up with is “Step up, step down.”  Which means have the same respect for others when you were talking. Also another one would be “ Don't yuck my yum” Meaning if you have something negative to say, keep it to yourself. Because saying more negative things would only make others feel uncomfortable. Lastly, thinking twice before saying it. I say this because people can be quick to say things but doesn't know it may affect others.

 

At the end of the group, discuss what you've accomplished and the goals you have set after the group is over, to keep you going from where you started. When setting goals everyone's ideas should be represented. This creates many positive results because people will support and be responsible for what they help create. With everyone's ideas and opinions considered, your goals will represent a group consensus rather than one person's opinion. It creates Greater commitment and motivation among officers and members to help achieve goals. Also you can feel better about yourself.

 

In conclusion, A support group would be a great idea considering the amount of stress teenagers are under. Starting a group for teens at my age could be stressful but it is a great way to create peace with each other. There are other ways to solve with stress beginning with this group. As I mentioned from the start I was that girl, that was stressed and had no clue what to do but to doubt myself in everything. But one day I talked with another student and we shared stories about what made us stress. We both made a promise to keep it between the two of us and that's where trust is built. Together we set goals and promised to never go back to who we were before. There is a drastic change in one's self esteem when you are able to confide with someone.

 

Source:

http://www.nbcnews.com/health/kids-health/teens-more-stressed-out-adults-survey-shows-n26921

Permalink
Picture of Amethyst Cozzolino-Ford-Mcknight

End The Rape-kit Backlog

Visible to everyone.

End The Rape-Kit Backlog

 

Most people don’t know the statistics of rape, and rape-kits, and about the backlog. Every two minutes a person is raped.  After a person is raped most victims go to the hospital and get a rape-kit. A rape-kit is a kit with supplies used in a very invasive procedure that lasts from four to six hours. During this procedure, DNA evidence is collected, and is then sent to crime labs to be tested. The issue is that not all rape-kits get tested. Hundreds of thousands of rape-kits end up in police storage units where they go untested. Across the country there are about 400,000 untested rape-kits.

Rape-kits costs between $1,000-$1,500 to test. Most rape-kits go untested due to the cost. Foundations like, The Joyful Heart Foundation raises money for rape-kits to be tested. In September 2015, President and Founder of The Joyful Heart Foundation, Mariska Hargitay, and Vice President Joe Biden announced they raised $80 million dollars for rape-kits to be tested in more than 40 law enforcement agencies in 20 states. Many government agencies have also raised millions of dollars to go towards testing rape-kits. That amount of money may seem like a lot, and most people think,that because of that money, that should be the solution to the backlog, and the problem is solved, but it’s not! Their is no way to end the backlog, but we can reduce it.

The money that is raised goes towards reducing the rape-kit backlog by having the untested rape-kits tested. Rape-kits provide DNA evidence which is an important way to solve crimes. Having these rape-kits tested is an important way to keep rapists off the street. Once the rape-kits are tested, DNA evidence is entered into CODIS, which helps law enforcement convict rapists. The problem with CODIS, is that not everyone’s DNA is entered in. CODIS is for collecting the DNA of people who are not first time offenders. This can create a problem when having the results of rape-kits that do not match any DNA in CODIS. On the flip side though, most rapists are not first time offenders so their DNA has already been entered into CODIS for previous crimes and convictions.

Rape-kits are an important way to solve crimes because, they can identify unknown criminals, and confirm the identity of suspects.

There is one problem with rape-kits though, the rate of how the rape-kits are composed. Different jurisdictions in a state test rape-kits differently. This affects the amount of rape-kits being tested and processing the kits. Some states are required to provide the rape-kits to every other state but composing a good rate of rape-kits can be hard for a state in counties/cities that do not have a good jurisdictions due to population and the economy. 1,350 rape crisis centers in the U.S. are located in low-populated, low-economy counties/cities. Due to the low-economy rape victims do not have access to rape-kits or rape medical examiners. As a result of this the rape-kit backlog gets longer because of the unknown amount of rape-kits in a state that go unaccounted for.

Many police officers are not trained in how to handle rape-kits, and many of them do not know the importance of rape-kits so they don’t send them to be tested. Since they are not trained or know the importance of rape-kits, they become biased against testing them or prioritizing cases. 20-25% of the rape-kits that are tested are only cases of unsolved stranger rape. All rape-kits need to be tested, not just because of a certain type of rape. The rape-kits that are more untested are acquaintance rape, cases previously rejected by the DA’s office, and cases with reasonable doubt about a crime being committed. Testing all rape-kits would create ways to make connections between stranger rape, and acquaintance rape, which would help get rid of prioritizing cases. The money that is raised is also used to educate police, and other rape workers on the proper way to handle rape cases.

My goal is to reduce the rape-kit backlog by creating a law that mandates all  rape-kits to be tested by making all funding raised go towards testing rape-kits, as well as using the funding to pay for the workers, and the technology used in order to test the rape-kits. Many law enforcement agencies use the excuse of funding as the reason that they don’t have rape-kits tested. Foundations like The Joyful Heart foundation help raise money for law enforcement agencies to have enough money to test all rape-kits they have. There are many foundations that help with funding for rape-kits as well as government funding. The government funding comes from grants and budgeting proposals from the President and Vice President.

Each rape-kit represents a victim of a sexual assault. When rape-kits are tested it gives victims hopes for justice, because they believe that once they get a rape-kit done it will be immediately tested, and used to find rapists who are then convicted and sentenced to jail. This is not always the case in most rape cases, but my goal is to make this happen. The advantage of my policy is providing justice to victims and law enforcement, reducing the backlog of rape-kits in police storage units, keeping accountability of the amount of rape-kits, and that rape-kits are free for rape victims, and money to pay for my policy does not come from taxes or the people, unless the people want to donate to foundations. There are very few disadvantages to my policy, but some of them are the costs to test the rape-kits, and money for workers and technology in order to have the rape-kits tested.

Overall, the advantages of ending the rape-kit backlog outweigh the disadvantages. This policy brings healing and help to victims of sexual assault, as well as help to law enforcements, and justice to both. Reducing the rape-kit backlog will help victims heal because it will give them justice and peace. Not having rape-kits tested tells victims that what happened to them doesn’t matter, and many of them cannot heal until they have justice, and peace knowing that their rapist will be in jail. Not having them tested also tells rapists that what they do doesn’t matter, and that they can get away with rape. Reducing the rape-kit backlog will send a huge message to victims that what happened to them does matter, and to the rapists that what they do does matter, and what they have done is a serious crime that will no longer go unrecognized or unpunished.

The rape-kit backlog is a very important issue that is not made aware of enough. Most people don’t know about what the rape-kit backlog is or how important it is. Every rape-kit needs to be tested, crime labs need more funding in order to test rape-kits, and most importantly, people need to be educated and aware of the rape-kit backlog.

 

Permalink
Picture of Kyle Lim

More crosswalks for pedestrian safety and convenience

Visible to everyone.
Edited by Kyle Lim, Tuesday, 19 January 2016, 9:22 PM
An issue many people face, including myself, are the rare existence of mid-road crosswalks within many cities of Washington State. Walking and biking are my main forms of transportation for me. The most problematic issue i encounter walking is having to walk to a distant intersection to cross over to the other side of a road safely and legally. An even worse scenario for me is crossing a wide, busy road on my bicycle to get to a convenient store i'll be working at. The road doesn't have any stop lights or crosswalks at all and by what i’ve seen, fatal traffic accidents occur much more on the road than others. Due to this fact, i fear crossing the road. I’ve known and seen many others that encounter these very same issues as me. To reduce traffic accidents involving pedestrians, I propose that all single and long roads are require to have at least two forms of a pedestrian crosswalk. It could be as cheap as a pedestrian crossing sign to a full blown stoplight intersection depending on the traffic the road has. If a city council wants to use there funding for a different project they will still be required to have the lowest form of a crosswalk. A miniscule increase onto Public Road Construction taxes would pay for materials and construction costs for the crosswalks. Enforcement for pedestrian safety would be based on current Washington State Pedestrian Laws. A new law would also be formed specifically for pedestrians that will fine any seen idlers on crosswalks that prevent traffic flow. Success of this policy will be based on annual pedestrian accident statistics acquired by the Washington State government. GRADE Analysis: Goal: Creation of more mid-road crosswalks Rivals Supporters: students, parents, exercisers, non-automobile commuters Opposers: auto-mobile users, taxpayers, working class Advantages: Reduces dangers and penalties placed on pedestrians and drivers by reducing jaywalking and negligence at costs as low as paint and a sign. Disadvantages: Increases slowing traffic and doesn’t ensure physical protection. Also increase the chances of automobile accidents Evaluate: Comparing a small tax to a human life, this policy seems to outweigh disadvantages. The worst thing to come out of this policy is slower traffic but this could happen also without crosswalks due to traffic accidents caused by jay walkers could happen also without crosswalks due to traffic accidents caused by jay walkers
Permalink
Picture of Payton Uson

Permanent Late Start

Visible to everyone.

 

               Teens need an average of 9 ¼ hours of sleep every night. Our internal circadian biological clocks regulate the time periods of sleepiness and wakefulness throughout the day by having dips and rises in circadian rhythms at different times of the day. Changes to this rhythm occur during adolescence, causing teens to experience a sleep phase delay. This shift in teens’ circadian rhythms causes them to naturally feel alert later at night, making it difficult to fall asleep before 11:00 pm. Since teens in the FWPS District start school at 7 am and also have other commitments such as jobs, sports, or clubs, this sleep phase delay can make it difficult to get the sleep teens need. This sleep deprivation can influence the circadian rhythm; for teens, the strongest circadian dips tend to occur between 3:00 am-7:00 am and 2:00 pm- 5:00 pm, but the morning dip (3:00 am-7:00 am) can be even longer if teens haven’t had enough sleep, and can even last until 9:00 am-10:00 am. Since school starts at 7 am, and it is naturally difficult for teens to sleep before 11 am, teens are limited to a short time window to get 9 ¼ hours of sleep. With that being said, the window between 11 pm-7 am is a maximum total of 8 hours; the actual sleeping window between those times are shortened when you have to account for the time it takes to get ready in the morning and the time it takes to travel to school. So, just based on my own getting ready and traveling times, there is about 1 hour and 10 minutes that would be taken out of our sleeping window. This makes our maximum sleeping time 6 hours and 50 minutes. This amount of sleep deprivation could very well cause circadian rhythm dips to last until 10 am, hindering our ability to focus during the first 3 hours of school, increasing grade drops which increases high school drop outs.

               Here at Todd Beamer High School, we have a block schedule. This means that we have eight total classes that are split up into two separate days, and the periods are each about 1 hour and 30 minutes long. We also have three separate lunches that are 30 minutes each. Other schools in the FWPS District have six periods in one day that are only 1-hour long. As stated before, most teens’ circadian rhythm dips’ last until 10 am, this makes it difficult for teens to focus during the first few hours of school which can be 2-3 periods depending on the school. This can greatly impact students’ grades in a negative way. To fix this issue, I propose we combine some characteristics from both types of schools (block schedule and 1-hour long classes) and also apply a permanent late start for the school day. We would make school start at 10 am every day and make each period 1-hour long. This would mean 4 hours of classroom time for four different classes in one block day. If we started school at 10 am, and took out the lunch periods during school time, we would be out of school at 2:15 pm and continue days as normal; this time frame also accounts for three 5-minute periods after first, second, and third period. I also recognize that students that receive free and reduced lunch may have situations at home that are unknown and may not get food opportunities. With that being said, the lunching period would be between 9:30 am – 10 am before school starts, but is not mandatory to attend. This way students who receive free lunch will still be able to receive food. Shortening the periods to one hour each is possible because other schools in the FWPS District have one hour classes with six classes a day. If all schools converted to block schedules they would be able to have eight total classes with the same teaching time other schools are already used to. This would be a compromise between all the schools in the FWPS District using the block schedule and incorporating one hour long classes to give students more class options and opportunities while being able to remain focused from the extra time in the morning used to wake up, eat, and get your brain ready for more learning.

               The main goal for this policy is to make learning more convenient for students, improve focus, improve attendance, and overall, improve grades. There are also rivals in every situation, some groups that would probably oppose would be teachers that feel that they have less time to teach in the classroom, or lunch staff that would not want to start working and hour earlier than normal. Some groups that support the policy would be students who feel they will be better in school due to the extra time in the morning and more time outside of school to do chores, homework, sports, and to work jobs. Other groups who would support the policy would be teachers who will have more focused students that are eager and ready to learn, and parents who will have more time to spend with their children in the morning, and will have kids who have more time to stay on top of their school work and chores. Along with Rivals come pros and cons. Some advantages of the policy would be that students will be more focused during class time, students will have more opportunity to stay on top of their work and could use the morning hours they usually have in school as a study period if they absolutely need it, students who do better in school are less likely to drop out and less high school drop outs will reduce crime rates, and students will be less persuaded to skip classes because school days are shorter and not so early in the morning and easier to last through. Some disadvantages would be that teachers (from some schools) will have less time to teach in the classroom and students would have less face-to-face time with their teachers for extra help or guidance.

Every policy needs a plan. This policy’s plan for implementation will be to start petitioning and to cooperate with superintendent, Tammy Campbell, of the FWPS District to make corrections, as she sees fit, and come up with a beneficial plan to put into action. The plan for enforcement will be to post the new changes to the FWPS District website and send letters to all families who are currently in the system and are enrolled at any of the schools in the district. After this policy is put into action, we can measure success by seeing the changes statistically in students’ attendance and grades and can change the policy to better the main aspect of the policy, improving grades of students. 

Permalink
Picture of Shelby Kesgard

Awareness Towards Drugs in Livestock

Visible to everyone.
Edited by Shelby Kesgard, Tuesday, 19 January 2016, 12:12 PM

           After looking into the use of antibiotics on animals in factory farms from multiple sources, we have come to the conclusion that the American population should be aware of what is really inside what they are consuming. Most products containing meat come from factory farm animals, who live their whole lives in incredibly unhealthy, inhumane conditions. The farms, in turn, have been injecting these animals with multiple antibiotics. These drugs are meant to kill off the weak bacteria gained from their living conditions, and thus create antibiotic-resistant cells known as “super bugs”. These super bugs make the consumers more resistant to some vital medications needed for the treatment of tuberculosis, gonorrhea, staph infections, and other life threatening diseases, causing the deaths of around 23,000, according to the CDC (https://newsinhealth.nih.gov/issues/feb2014/featural). The bugs that have been created as a result of the antibiotic-injected animals have contaminated food, water, and even the air, as well. We want to stop people from consuming animal products that have been previously injected with antibiotics to improve the health of the population.

            To create better awareness of this problem, we believe a policy needs to be put into place, which requires businesses to state whether the animal products used had been given antibiotics, in ways such as labels or disclaimers on menus. It will be required for companies to pay for their own labeling as well. This way, businesses will be discouraged from selling foods with antibiotics in them. If businesses do not label their products accordingly, they will be fined $5000 for the first offense, and the cost will be progressively doubled as the offenses increase. The fine a business is given is not determined by their size but rather by how often the policy is ignored. Therefore, a small business has the capability of being fined the same amount or even more than a larger one.     

            We hope, that with our policy, people will have the opportunity to know exactly what they are eating, and why these products are so destructive to their health.  With this new knowledge available to the public about the products they buy, more consumers will be encouraged to purchase antibiotic free items. This is because it is a healthier and  safer option for everyone. Our medications will have more of an effect on us, and fewer antibiotics will be wasted on animals that do not need them. Rivals would be factory farmers and ranchers who are the ones injecting their livestock. (http://www.pbs.org/wgbh/pages/frontline/shows/meat/safe/.html). The supporters would be the ones who prefer safer foods, animal protection organizations such as the Human Farming Organization, and any others who would rather eat antibiotic free foods, (http://www.hfa.org)

             If our policy is effective, we expect the health of the overall American population to increase. Success can be measured by the customer's feedback on our policy. Every grocery store and restaurant selling antibiotic injected foods will have a chart customers can use to check off, if they approve of our policy. The companies will then send us their recorded information, which will let us know if our policy was effective. Disadvantages could be that our policy makes animal products more expensive due to customer's higher demand of antibiotic free foods.  An effective citizen would acknowledge the labeling on the animal products they purchase and bring awareness to others about antibiotic free foods. They also would use the chart, which would be displayed near animal products being sold, to check off whether or not they approve of the new labeling our policy requires.  

Permalink
Picture of Malina Shaw

awareness to drugs in animal products

Visible to everyone.
Edited by Malina Shaw, Tuesday, 19 January 2016, 12:14 PM

 

            After looking into the use of antibiotics on animals in factory farms from multiple sources, we have come to the conclusion that the American population should be aware of what is really inside what they are consuming. Most products containing meat come from factory farm animals, who live their whole lives in incredibly unhealthy, inhumane conditions. The farms, in turn, have been injecting these animals with multiple antibiotics. These drugs are meant to kill off the weak bacteria gained from their living conditions, and thus create antibiotic-resistant cells known as “super bugs”. These super bugs make the consumers more resistant to some vital medications needed for the treatment of tuberculosis, gonorrhea, staph infections, and other life threatening diseases, causing the deaths of around 23,000, according to the CDC (https://newsinhealth.nih.gov/issues/feb2014/featural). The bugs that have been created as a result of the antibiotic-injected animals have contaminated food, water, and even the air, as well. We want to stop people from consuming animal products that have been previously injected with antibiotics to improve the health of the population.

            To create better awareness of this problem, we believe a policy needs to be put into place, which requires businesses to state whether the animal products used had been given antibiotics, in ways such as labels or disclaimers on menus. It will be required for companies to pay for their own labeling as well. This way, businesses will be discouraged from selling foods with antibiotics in them. If businesses do not label their products accordingly, they will be fined $5000 for the first offense, and the cost will be progressively doubled as the offenses increase. The fine a business is given is not determined by their size but rather by how often the policy is ignored. Therefore, a small business has the capability of being fined the same amount or even more than a larger one.     

            We hope, that with our policy, people will have the opportunity to know exactly what they are eating, and why these products are so destructive to their health.  With this new knowledge available to the public about the products they buy, more consumers will be encouraged to purchase antibiotic free items. This is because it is a healthier and  safer option for everyone. Our medications will have more of an effect on us, and fewer antibiotics will be wasted on animals that do not need them. Rivals would be factory farmers and ranchers who are the ones injecting their livestock. (http://www.pbs.org/wgbh/pages/frontline/shows/meat/safe/.html). The supporters would be the ones who prefer safer foods, animal protection organizations such as the Human Farming Organization, and any others who would rather eat antibiotic free foods, (http://www.hfa.org)

             If our policy is effective, we expect the health of the overall American population to increase. Success can be measured by the customer's feedback on our policy. Every grocery store and restaurant selling antibiotic injected foods will have a chart customers can use to check off, if they approve of our policy. The companies will then send us their recorded information, which will let us know if our policy was effective. Disadvantages could be that our policy makes animal products more expensive due to customer's higher demand of antibiotic free foods.  An effective citizen would acknowledge the labeling on the animal products they purchase and bring awareness to others about antibiotic free foods. They also would use the chart, which would be displayed near animal products being sold, to check off whether or not they approve of the new labeling our policy requires.  

Permalink
Picture of Benjamin Milne

Child Obesity

Visible to everyone.

The problem i will be adressing is about how children are constantly gaining weight and nobody is doing anything about it. children can start gaining body fat in the womb. the baby take in all the food the mother does so if the mother eats unhealthy food the baby will have more body fat than needed and make the birth a challenge. and then most babies are bottle fed when that is worse than breast milk. the mother produces their own FREE milk but yet for some reason they go out and buy 50 dollar containers of formula. and it just keeps going after that. its not like the kids have the choice what the buy at the store its the parents. the parents arent makeing good choices for the children to stay under a certain body fat percentage. i chose this issue because the government is spending uneeded money on people who are just flat out lazy. i purpose that we make off these unhealthy food companies have higher standards for their products like mcdonalds. everything you can get from there is straight body fat. if they had healthy meat bread and cheese like subway the rate of obese people in america would decrease drastically. what i hope to  acomplish is to get parents to feed their children healthy food and get a good workout in like running or playing games or sports. if we can get food companies the sell healthier food the goverment will spend less on health care because people will be healther and food companies will even make more money because they will be selling fast delicious healthy food instead of makeing people feel guilty when they eat their food.

Ben M

Permalink
Picture of Jonathan Do

Raising Teacher Salaries

Visible to everyone.

Children have always been the future of every nation that has come across the Earth. All the students today will be tomorrow's leaders and hopefully, they will be good leaders. However, in America, many problems still persist in the public education system. Many schools run with a shortage of teachers and unqualified staff. In order to improve the education system in Washington state, I propose that sales taxes throughout the state should be raised by 0.5%. For example, this means in places where the sales tax is 6.5%, the tax will be raised to 7%. The money made will be allocated towards raising teacher salaries so that teaching becomes a more viable career. This will encourage more college students to become teachers and this, in turn, will support the future of America.

As always, there are many facts that should be taken into consideration such as the current teacher salary and how many hours are in a teacher’s work week. First of all, the salary for a teacher is pretty low for a college graduate. According to the Office of Superintendent of Public Instruction(OSPI), teachers in Washington state have a starting salary of $34,048 a year from the state, a high level salary of $64,174 a year from the state, and, according to the National Center for Educational Statistics, an average salary of $53,571(includes district allocation). Although the starting salary is twice the minimum wage, it does not become very attractive after taking into account that college students have to go through 4 years of college in order to qualify to become a teacher. Also, teachers in Washington state have a high level salary of $64,174 a year through state allocation. Although this is a huge improvement from the starting salary, it is very low for a high level job. Also, the requirements for receiving this level is exceedingly high. In order to achieve the highest level salary, teachers must have 16 years of experience and either a master's degree or PhD (OSPI). There are many other majors other than teaching that require the same amount of college and yet have a significantly higher starting salary than the highest level salary of a teacher. Another fact is that, although teachers have roughly a 40 hour work week, many work past the 40 hour limit. Teachers often stay after school or in class during lunch to help students that are behind in their work or need to ask questions. Although the teacher is still teaching during these times, this does not count as official work time and the teachers do not get paid for this. This means that teachers often work over 40 hours a week while getting paid only about $53k each year. Based on this data, it is necessary to raise the salary of a teacher in Washington.

The primary plan of action is to support this salary raise is a small increase in tax. All sales taxes in Washington will be raised by .5%. According to the Governing In the year 2012, Washington state received $10,614,137,000 in taxes. The current sales tax in Washington is anywhere between 6.5% to 10% with the usual tax being 9.5%. To ensure that enough money is received, the range will be raised to 7% to 10.5% with the usual sales tax being 10%. This .5% raise will give Washington state roughly an additional $558,632,644. There are roughly 53,119 in Washington state. Raising each salary by $10,000 would mean that $531,119,000 would be required. As one may see, the values check out. This plan will be seen as successful if there is an increase in the average teacher salary and if there are more teachers per student in the near future.

The short term implications would obviously be that people would have to pay more taxes and that teachers will be immediately paid more. Some may not enjoy the extra tax but their minds may be changed once they know where the money is going. The long term implications will be that there will be more teachers. More college students will see the job of a teacher as a viable job and will therefore encourage them to pursue a career in teaching. Also, the children will be better trained. With more teachers, there will be less oversized classes and more teachers per student so that the students don’t have to share their time with the teachers with as many students.

The goal of this, as stated earlier is to raise teacher salaries and to encourage more people to become teachers. A higher salary will be achieved through a slight raise in taxes. This higher salary will make current teachers more content with their jobs and will encourage future generations to become teachers. Most people like money and expect to make a good living when coming out of college. Currently, if a student comes out of college with a degree in teaching, they can only make a salary big enough sustain one person. Also, not only will they not make enough money for more than one person, the student will have a lot of student loans to pay off. The salary for one and massive amounts of student loans will discourage students from becoming teachers. As of right now, the job of a teacher does not look very viable. If teacher salaries were raised to a value that could sustain more than one person, then this would encourage more college students to become teachers.

People who support this policy will be parents, teachers, and students.Teachers will like the higher pay and all three will enjoy the smaller class sizes. People who might oppose this are people without children and anybody that doesn’t want to pay a higher tax. People without children might not like this policy because they would have to pay more taxes for a policy that does not benefit them.

The advantages would be that teachers will receive a higher pay, a teaching career will be actually viable, and there will be more teachers per student. Generally, people like being paid more so a higher salary is considered to be an advantage. The higher salary, as stated above will make pursuing a career in teaching make more sense and, because a career in teaching will make more sense, it will encourage more students that want to become teachers to do so. The bigger amount of teachers will reduce class sizes and increase the ratio of teachers per student. The disadvantages of this is that there will be a higher sales tax. Making the citizens pay more to the government is always a disadvantage. It will cost the citizens more money to live in Washington and that means there will be less money for the citizens to spend on themselves. However, the benefits are believed to outweigh the cons and, as far as alternatives go, this seems to be the most efficient way of raising teacher salaries.

This will be a good policy because this will help secure the future of America. Raising salaries will help teaching become a better job to consider, increase the amount of teachers, and will ensure that every child gets the attention they need from a teacher. It may cost taxpayers a little more money, but the benefits are too great to leave behind.






Sources:

http://nces.ed.gov/nationsreportcard/states/

http://www.k12.wa.us/safs/PUB/PER/SalAllocSchedule.pdf

http://www.governing.com/gov-data/state-tax-revenue-data.html

http://www.spokesman.com/stories/2015/feb/21/more-teachers-needed-new-school-rules/





Permalink
Picture of Jennifer Rodriguez

SLZUSD Teacher Compensations

Visible to everyone.
Edited by Jennifer Rodriguez, Monday, 4 January 2016, 5:07 PM

Our student are being being taught by under qualified substitutes and teachers because SLZUSD is not willing to attract + retain quality teachers. 90 of our 500 teachers have left the school district to teach at other districts because of the pay, students are afraid we will lose more quality teachers due to the compensation they do not receive. We are afraid that our younger siblings in the district will not have a good education by qualified teachers if the mistreatment continues. 

 

Permalink
Picture of Kenya Parker

Montessori Schools

Visible to everyone.

Schools nowadays have become so dependent on the use of technology that they've lost the ability to let students learn with hands on activities. Schools only focus on teaching you the information to pass the standardized tests than the information that will get you farther in life. Making schools become montessori will get students to engage more with the class through hands on activities and there'll be smaller class sizes for more one on one with the teacher/instructor. This set up will hopefully encourage more students to do well in school, which in turn will reduce the drop out rate. As well as encourage those students to find a career that they are interested in, so they can further educate themselves through a university, trade school, or technical college.

 

Goals: Make schools more interesting with hands on learning, smaller class sizes, and more one-on-one time with teachers.

 

Supporters:

  • Students- Learn information in unique and different ways which in turn will make them more interested in education.
  • Parents- Their children would be more willing to get a higher education knowing what they want to do.
  • Teachers- They will have more students passing their classes with higher grades.

 

Opposers:

  • Teachers- Would have to be more involved with their students learning
  • Taxpayers- In order for classes to be more interesting the schools would need to buy more supplies.
  • Schools Districts- With class sizes being smaller, school systems would need to find ways of offering more classes without changing school size.

 

Advantages:

  • More one-on-one time for students to get help from teachers.
  • Smaller class sizes.
  • Hands on projects will keep student interested in learning.
  • Students will get better grades from being more interested in school (Hopefully).
  • Students will know what they want to learn for their major/minor.
  • Reduced drop out rate (Hopefully).
  • More jobs for teachers.

Disadvantages:

  • Limited number of students allowed in schools.
  • School systems would need to enlarge schools or create more schools.
  • Not all students enjoy hands on learning.
  • Taxes would go up to pay for the supplies.

 

Feel free to ask any questions or offer up ideas to make this better. We're open to suggestions.

 

-Selena Krivoruchko, Kenya Parker, Nastasjia Plunkett

Permalink
Picture of Selena Krivoruchko

Montessori Curriculum

Visible to everyone.

Montessori Curriculum

Today’s schools have become so dependent on the use of technology that they have lost the ability to let students learn with hands on activities. Schools only focus on teaching the information to pass the standardized tests than the information that will get students further in life. Making schools use the montessori method will get students to engage more with the class through hands on activities and there will be smaller class sizes for more one on one with the teacher/instructor. This set up will encourage more students to do well in school, which in turn will reduce the dropout rate. As well as encourage those students to find a career that they are interested in, so they can further educate themselves through a university, trade school, or technical college.

 

Goals: Make schools more interesting with hands on learning, smaller class sizes, and more one-on-one time with teachers.

 

Supporters:

  • Students- Learn information in unique and different ways which in turn will make them more interested in education.

  • Parents- Their children would be more willing to get a higher education knowing what their lifetime goals are.

  • Teachers- They will have more students passing their classes with higher grades.

 

Opposers:

  • Teachers- Would have to be more involved with their students learning

  • Taxpayers- In order for classes to be more interesting the schools would need to buy more supplies.

  • Schools Districts- With class sizes being smaller, school systems would need to find ways of offering more classes without changing school size.

 

Advantages:

  • More one-on-one time for students to get help from teachers.

  • Smaller class sizes.

  • Hands on projects will keep student interested in learning.

  • Students will get better grades from being more interested in school.

  • Students will know what they want to learn for their major/minor.

  • Reduced drop out rate.

  • More jobs for teachers.

Disadvantages:

  • Limited number of students allowed in schools.

  • School systems would need to enlarge schools or create more schools.

  • Not all students enjoy hands on learning.

  • Taxes would go up to pay for the supplies.


-Selena Krivoruchko, Kenya Parker, Nastasjia Plunkett

Permalink
Picture of Nastasjia Plunkett

Montessori Curriculum

Visible to everyone.
Edited by Nastasjia Plunkett, Tuesday, 15 December 2015, 1:30 PM

Montessori Curriculum

Today’s schools have become so dependent on the use of technology that they have lost the ability to let students learn with hands on activities. Schools only focus on teaching the information to pass the standardized tests than the information that will get students further in life. Making schools use the montessori method will get students to engage more with the class through hands on activities and there will be smaller class sizes for more one on one with the teacher/instructor. This set up will encourage more students to do well in school, which in turn will reduce the dropout rate. As well as encourage those students to find a career that they are interested in, so they can further educate themselves through a university, trade school, or technical college.

 

Goals: Make schools more interesting with hands on learning, smaller class sizes, and more one-on-one time with teachers.

 

Supporters:

  • Students- Learn information in unique and different ways which in turn will make them more interested in education.

  • Parents- Their children would be more willing to get a higher education knowing what their lifetime goals are.

  • Teachers- They will have more students passing their classes with higher grades.

 

Opposers:

  • Teachers- Would have to be more involved with their students learning

  • Taxpayers- In order for classes to be more interesting the schools would need to buy more supplies.

  • Schools Districts- With class sizes being smaller, school systems would need to find ways of offering more classes without changing school size.

 

Advantages:

  • More one-on-one time for students to get help from teachers.

  • Smaller class sizes.

  • Hands on projects will keep student interested in learning.

  • Students will get better grades from being more interested in school.

  • Students will know what they want to learn for their major/minor.

  • Reduced drop out rate.

  • More jobs for teachers.

Disadvantages:

  • Limited number of students allowed in schools.

  • School systems would need to enlarge schools or create more schools.

  • Not all students enjoy hands on learning.

  • Taxes would go up to pay for the supplies.

 

-Selena Krivoruchko, Kenya Parker, Nastasjia Plunkett

Permalink
Picture of Alexander Addington

Restrict the over use of Perfumes and colognes within the school

Visible to everyone.
Edited by Alexander Addington, Tuesday, 15 December 2015, 9:54 AM

           Due to the health concerns arising from the exposure to scented products, our goal is to stop allergic reactions from strong scenting perfumes/ colognes at school.

20% of students have contact dermatitis, meaning that 20% of all students will have a reaction to perfumes and colognes. A little bit of perfume and a tiny bit of cologne is

okay but students tend to really over use it stinking up entire classrooms, buses and locker rooms not caring about others and their allergies to their toxic spray. Even if you

aren't one of the 20% it still bothers you with its stench making your eyes and nose sting as it floats across the room and into the noses of all your peers, its invisible tendrils

poisoning the air you breath. An entire school (Medgar Evers College prep school) was evacuated after students used too much body spray. 10 people had to be

hospitalized due to people trying to smell good and putting too much on. Not only is this putting students and teachers at risk but its endangering the learning of students, it

should not be allowed to happen. That's why we are enforcing the policy. The policy would be that the overuse of Axe and other body sprays will be met with being sent home

and a phone call home to parents. If it happens again the student will get detention. To determine if body sprays have been over used will be up to a teacher or other staff

member, trust me you can tell when overuse has been used. this policy will be effective after winter break. If it works in schools then the over use of body sprays should be

used in public and retain the same laws and rules as smoking in public to avoid more people getting hurt by overuse. It will be better for people and even for the enviroment.

spray cans like the axe body spray cans greatly effect the ozone layer and stopping the over use will help quite a bit. 

Permalink
Picture of Armando RuizDeChavez

Teacher Wages

Visible to everyone.

How do you feel about the district offering the teachers a 1.7% raise, but the teachers are asking for a 6.5% raise and the district wont compromise?

Permalink
Picture of Sherwin Iravani

Lights on the field.

Visible to everyone.
Edited by CAP Admin, Monday, 2 November 2015, 1:58 AM
  1. Our civic action group is currently working towards the installments of lights to our football field. The reason we have chose this civic action is because our school doesn’t have night games unlike most other schools and that takes away a lot of high school spirit and doesn’t represent our school as much. The less games that are school hosts, the less people know about our school the more it hurts TL’s reputation.

  2. Having lights on our football field would improve multiple aspects of our school. First and foremost, the lights would provided a much needed school spirit boost. This boost in school spirit will not only transform the atmosphere in our school, but it will also draw more students and parents to games, which will, in turn, increase the revenue generated by the games. This money would help fund the football team, as well as TL’s other athletic programmes. However, the lights will not only improve attendance at football games, but the boost in school spirit would increase attendance at all TL events. More students attending athletic events would also give our athletes and added incentive to perform, which will improve our sports programmes as well.

  1. With our project we are hoping to t boost school spirit and get lights on our football field

     4. As a result of more school spirit, students will be more involved in school, their grades will improve, and over all kids will be well balanced in the academic and social life in a healthy way. Young teenages need somthing good to do during the night that will keep them out of trouble. Night Games offer them something fun and participating in their school spirit is a great thing to have.

     5. Our civic actions that we have done are looking up public policies, speaking the the head of the athletic department, sending a letter to our administrator, and also speaking to our principal.



Permalink
Picture of Liam Goff

Terra Linda Dress Code Revision

Visible to everyone.

Our group’s civic action is to tackle Terra Linda High School’s current dress code and work to amend it to better fit the needs of the students themselves. We came across the idea of this specific policy change because all of us found that the student body is continuously being judged by the administrators and teachers for how they are dressing and expressing themselves. More specifically, females feel that they are being targeted specifically for their dress, whereas males are seen as having much more lenient rules for dress code. Also, there are constant complaints that girls are being viewed as “distractions” to the learning environment because of their clothing, and we felt that is an example of the objectification of women. On another note, we are interested in seeing if TL has any students affiliated with gangs, because if not, we believe that the rule against hat-wearing and jerseys should be absolved.

 

For this project, we are taking many civic actions to ensure our goals are met. First, we created a survey for TL students to fill out. We talked to teachers about the issue and handed them the surveys to hand out during class. In the survey we included questions about gangs at TL and whether or not anyone feels like the dress code singles them out. The overwhelming consensus was that the dress code made many people feel violated and gangs are not a relevant problem at TL. Our next civic action is a meeting with the principal on the dress code at TL and our survey results.


For our dress code revision project, we hope to achieve a new dress code that better fits the students at TL by being equal for all genders and having a totally separate dress code from San Rafael High’s dress code due to the different issues our schools have. We want our dress code to make the young women at our school feel more comfortable and feel they are treated the same as the young men on our campus. As we are in the same school district as San Rafael High School, we also wish to pull away from them, and have a totally different dress code, because the code addresses situations that occur over there, but that do not exist over here at TL (i.e. gang affiliations).  Through various steps like surveys, collecting data, showcasing this to the administration, we feel as if we have a powerful enough case to get this job done. The dress code at Terra Linda right now is not fair and we are trying to address this issue in order for it to fit all the different genders and body type of our students.

Permalink
Picture of Carter Ogden

Terra Linda Dress Code Revision

Visible to everyone.
Edited by CAP Admin, Monday, 2 November 2015, 1:57 AM

 



Our group’s civic action is to tackle Terra Linda High School’s current dress code and work to amend it to better fit the needs of the students themselves. We came across the idea of this specific policy change because all of us found that the student body is continuously being judged by the administrators and teachers for how they are dressing and expressing themselves. More specifically, females feel that they are being targeted specifically for their dress, whereas males are seen as having much more lenient rules for dress code. Also, there are constant complaints that girls are being viewed as “distractions” to the learning environment because of their clothing, and we felt that is an example of the objectification of women. On another note, we are interested in seeing if TL has any students affiliated with gangs, because if not, we believe that the rule against hat-wearing and jerseys should be absolved.

 

For this project, we are taking many civic actions to ensure our goals are met. First, we created a survey for TL students to fill out. We talked to teachers about the issue and handed them the surveys to hand out during class. In the survey we included questions about gangs at TL and whether or not anyone feels like the dress code singles them out. The overwhelming consensus was that the dress code made many people feel violated and gangs are not a relevant problem at TL. Our next civic action is a meeting with the principal on the dress code at TL and our survey results.

 

For our dress code revision project, we hope to achieve a new dress code that better fits the students at TL by being equal for all genders and having a totally separate dress code from San Rafael High’s dress code due to the different issues our schools have. We want our dress code to make the young women at our school feel more comfortable and feel they are treated the same as the young men on our campus. As we are in the same school district as San Rafael High School, we also wish to pull away from them, and have a totally different dress code, because the code addresses situations that occur over there, but that do not exist over here at TL (i.e. gang affiliations).  Through various steps like surveys, collecting data, showcasing this to the administration, we feel as if we have a powerful enough case to get this job done. The dress code at Terra Linda right now is not fair and we are trying to address this issue in order for it to fit all the different genders and body type of our students.

 

Permalink
Picture of Antonio Rodriguez

Information of drought

Visible to everyone.

 Many people may already know that california is currently in drought and that water is the main issue. California is facing one of its driest years with a 16% rainfall deficit. Many may not know is that there are rules that follow when watering grass which causes people to get fined. Even if there are those who follow the rules some are struck in a situation where people get fined for not watering there grass from the homers association or they get fined from the water companies for using too much water. The problem is that the community needs to be informed of ways to avoid these issues. A start could be to hand out pamphlets thats states that there is still a drought and what to avoid when watering and why its important to save water. My partner and I want to inform the general public ways to avoid these fines and help prevent others from wasting water.

Permalink
Page: 1 2 ()

This Publish might contain posts that are only visible to logged-in users, or where only logged-in users can comment. If you have an account on the system, please log in for full access.

Total visits to this Publish: 128501